Bug 628235 - Anaconda installer crashes with latest updated anaconda on Fedora 13 remix
Summary: Anaconda installer crashes with latest updated anaconda on Fedora 13 remix
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-28 21:14 UTC by Valent Turkovic
Modified: 2010-09-06 17:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 15:24:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda crash file (173.02 KB, application/octet-stream)
2010-08-28 21:14 UTC, Valent Turkovic
no flags Details

Description Valent Turkovic 2010-08-28 21:14:31 UTC
Created attachment 441729 [details]
anaconda crash file

Description of problem:
Anaconda installed crashes with latest updated anaconda on Fedora 13 remix

I created a Fedora Remix that uses all latest versions of packages, until now there were no install issues but with latest iso image anaconda crashes so it could be new bug in latest anaconda version.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Create new Fedora 13 iso image with latest package versions
2. Try to install Fedora 13
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Valent Turkovic 2010-08-29 19:12:51 UTC
Is this a know bug?

Do you need any more feedback from me?

Comment 2 Chris Lumens 2010-08-30 15:24:29 UTC
It looks to me like NM has changed in F13 updates and this new version changed around a bunch of API stuff that anaconda relied on.  We deal with issues like this in rawhide from time to time, but we do not follow what happens in the update releases.  Nor do we really release official anaconda updates for previous releases so there's not much we can do here.  Fedora Unity sometimes cherry-picks anaconda commits for these sorts of problems, though, so maybe you can take it up with them.

Comment 3 Valent Turkovic 2010-09-06 16:27:03 UTC
Is there some kind of workaround for this bug? Is it possible to create Fedora Respin/Remix using older packages that don't have this issue? How?

Comment 4 Rahul Sundaram 2010-09-06 17:08:59 UTC
Exclude Anaconda from the updates repo while doing the remix or backport the patches from a newer branch.

Comment 5 Arun S A G 2010-09-06 17:17:53 UTC
(In reply to comment #4)
> Exclude Anaconda from the updates repo while doing the remix or backport the
> patches from a newer branch.

I tried this! Didn't work out! I ended up excluding NetworkManager*,dbus-glib and udev from updates repo to fix this.

please check #624028 and #626780

Comment 6 Valent Turkovic 2010-09-06 17:21:49 UTC
Got an answer from Arun on Fusion Linux website:
http://fusionlinux.org/2010/09/06/bug-that-killed-fedora-remixes/#comment-325

Trying out
 --excludepkgs=NetworkManager*,udev,dbus-glib

Will report back if/how new ISO works.


Note You need to log in before you can comment on or make changes to this bug.